<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
 @author andres.eslava
 @MB AsignaTrabajoDeReconocimientoMB
 @cu CASO DE USO CU-NP-FA-302
 @version 1.0
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="../../templates/generalCU.xhtml">
    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Bloquear predios para zonas en condiciones especiales::.
    </ui:define>

    <ui:define name="content">


        <h:form id="asignaTrabajoDeReconocimiento">
            <p:messages id="msgsAP" showDetail="true" />

            <p:spacer height="8" width="0"/>
            <h:panelGrid columns="2">               
                <h:outputLabel value="Reconocedor :"/>
                <h:selectOneMenu value ="#{asignaTrabajoReconocimiento.itemReconocedorSeleccionado}">
                    <p:ajax listener="#{asignaTrabajoReconocimiento.establecerReconocedorSeleccionado}" process="@this"/>
                    <f:selectItem itemValue="" itemLabel="Seleccionar"/>
                    <f:selectItems value="#{asignaTrabajoReconocimiento.listaReconocedores}"/>                       
                </h:selectOneMenu>                   
            </h:panelGrid>                
            <p:spacer height="20" width="0"/>
            <h:panelGrid columns="1">
                <h:outputLabel value="Predios para asignación"/> 
            </h:panelGrid>
            <p:spacer height="20" width="0"/>
            <ui:remove>
                <h:panelGrid columns="2">
                    <h:outputLabel value="Predio inicial"/>
                    <h:outputLabel value="Predio final"/>                            
                    <h:panelGroup id="nPredial1"  >
                        <h:inputText id="s11"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS1}"
                                     size="1" maxlength="2" title="Departamento" immediate="true" />
                        <h:inputText id="s22"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS2}"
                                     size="3" maxlength="3" title="Municipio" />
                        <h:inputText id="s33"        
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS3}"
                                     size="2" maxlength="2" title="Zona" />
                        <h:inputText id="s44"                                
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS4}"
                                     size="2" maxlength="2" title="Sector" />
                        <h:inputText id="s55"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS5}"
                                     size="2" maxlength="2" title="Comuna" />
                        <h:inputText id="s66"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS6}"
                                     size="2" maxlength="2" title="Barrio"/>
                        <h:inputText id="s77"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS7}"
                                     size="4" maxlength="4" title="Manzana o vereda"/>    
                        <h:inputText id="s88"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS8}"
                                     size="4" maxlength="4" title="Terreno" />
                        <h:inputText id="s99"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS9}"
                                     size="1" maxlength="1" title="Condición de propiedad" />
                        <h:inputText id="s101"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS10}"
                                     size="2" maxlength="2" title="No. del edificio o torre" />
                        <h:inputText id="s111"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS11}"
                                     size="2" maxlength="2" title="No. de piso dentro del edificio" />
                        <h:inputText id="s121"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS12}"
                                     size="4" maxlength="4" title="No. de unidad en PH o mejora" />
                    </h:panelGroup> 


                    <h:panelGroup id="nPredial2" >
                        <h:inputText id="s1"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS1}"
                                     size="1" maxlength="2" title="Departamento" />
                        <h:inputText id="s2"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS2}"
                                     size="3" maxlength="3" title="Municipio" />
                        <h:inputText id="s3"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS3}"
                                     size="2" maxlength="2" title="Zona" />
                        <h:inputText id="s4"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS4}"
                                     size="2" maxlength="2" title="Sector" />
                        <h:inputText id="s5"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS5}"
                                     size="2" maxlength="2" title="Comuna"/>
                        <h:inputText id="s6"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS6}"
                                     size="2" maxlength="2" title="Barrio" />
                        <h:inputText id="s7"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS7}"
                                     size="4" maxlength="4" title="Manzana o vereda"/>
                        <h:inputText id="s8"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS8}"
                                     size="4" maxlength="4" title="Terreno" />
                        <h:inputText id="s9"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS9}"
                                     size="1" maxlength="1" title="Condición de propiedad" />
                        <h:inputText id="s010"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS10}"
                                     size="2" maxlength="2" title="No. del edificio o torre" />
                        <h:inputText id="s011"
                                     disabled="true"
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS11}"
                                     size="2" maxlength="2" title="No. de piso dentro del edificio" />
                        <h:inputText id="s012"                                 
                                     value="#{asignaTrabajoReconocimiento.filtroInicial.numeroPredialS12}"
                                     size="4" maxlength="4" title="No. de unidad en PH o mejora" />
                    </h:panelGroup>

                </h:panelGrid>
                <h:panelGrid columns="1">
                    <p:commandButton  value="Buscar" icon="ui-icon-search"/>                    
                </h:panelGrid>    
            </ui:remove>

            <p:spacer height="20" width="0"/>

            <p:dataTable id="prediosAsignacion" 
                         emptyMessage="No hay predios para asignar."
                         value="#{asignaTrabajoReconocimiento.prediosCordinador}"
                         var="predioAsignacion"  paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                         rowKey="#{predioAsignacion.numeroPredial}" 
                         selection="#{asignaTrabajoReconocimiento.prediosSeleccionados}"
                         style="width:100% ">              

                <p:column selectionMode="multiple" />

                <p:column headerText="Predios">
                    <h:outputText styleClass="outputTextStyle" value="#{predioAsignacion.numeroPredial}"/>                    
                </p:column>

                <p:column headerText="Reconocedor Asignado" filterBy="#{predioAsignacion.recursoHumano.nombre}" filterMatchMode="contains">
                    <h:outputText styleClass="outputTextStyle" value="#{predioAsignacion.recursoHumano.nombre}"/>                    
                </p:column>

                <p:column headerText="Trámite" filterBy="#{predioAsignacion.tramitesAsociadosSaldosConservacion[0]}" filterMatchMode="exact">                  
                    <p:commandLink styleClass="outputTextStyle" value="#{predioAsignacion.tramitesAsociadosSaldosConservacion[0].id}" onclick="http://www.google.com"/>                                               
                </p:column>

            </p:dataTable>
            <p:spacer height="20" width="0"/>
            <h:panelGrid columns="2">
                <ui:remove>
                    <p:commandButton value ="Mostrar Seleccion" oncomplete="mostrarPrediosAsignadosWV.show()" >                     
                    </p:commandButton >  
                </ui:remove>
                <p:commandButton value ="Asignar"  update="msgsAP" action="#{asignaTrabajoReconocimiento.asignaReconocedorAPrediosCordinador}" >                    
                </p:commandButton >                          
            </h:panelGrid>          
            <p:spacer height="20" width="0"/>

            <h:panelGrid columns="1">
                <p:commandButton value="Confirmar Asignación" action="#{asignaTrabajoReconocimiento.confirmaAsignacionReconocedor}" update="msgsAP"/>
            </h:panelGrid>   

        </h:form>
        <ui:remove>
            <p:dialog header="Visor GIS" widgetVar="mostrarPrediosAsignadosWV" modal="true"
                      appendToBody="true" resizable="true" position="center" width="1024"
                      height="500">            		
                <ui:include
                    src="./proyectarPrediosParaAsignacion.xhtml">
                </ui:include>
            </p:dialog>
        </ui:remove>
        <ui:remove>
            <p:dialog header="Detalle del trámite" widgetVar="detalleTramiteWV" dynamic="true"
                      modal="true" appendToBody="true" resizable="true" position="center"
                      height="480" width="960">
                <p:ajax event="close" listener="#{tramiteASolicitarDocumentos.cerrar}"/>
                <ui:include src="../ejecucion/detalleTramiteEjecucion.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{vistaDetallesTramite}" />
                    <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
                </ui:include>
            </p:dialog>   
        </ui:remove>
    </ui:define>
</ui:composition>   
